PropertyScope (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transport.PropertyScope class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Class PropertyScope

    java.lang.Object
      org.mule.api.transport.PropertyScope

All Implemented Interfaces:
  Serializable

    public final class PropertyScope

extends Object
implements Serializable

A PropertyScope is used to assoaciate a message property with a lifetime. Some scopes may be very brief such as `INVOCATION` scope which only lasts until a service has been invoke or a longer running scope such as `SESSION`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `PropertyScope.ScopeComparator` Used for comparing `PropertyScope` instances in a map.

Field Summary
`static PropertyScope[]` | `ALL_SCOPES` An array of all scopes defined here
`static PropertyScope` | `APPLICATION` This provides access to properties in the registry.
`static String` | `APPLICATION_NAME`
`static PropertyScope` | `INBOUND` This scope holds all inbound headers when a message is received.
`static String` | `INBOUND_NAME`
`static PropertyScope` | `INVOCATION` This scope is defined from the point that a Message is created until a service has processed the message.
`static String` | `INVOCATION_NAME`
`static PropertyScope` | `OUTBOUND` This is the default scope when writing properties to a message.
`static String` | `OUTBOUND_NAME`
`static PropertyScope` | `SESSION` Defines the scope for any properties set on the session.
`static String` | `SESSION_NAME`

Constructor Summary
`PropertyScope(String scope, int order)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `getOrder()`
`String` | `getScope()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INVOCATION_NAME

    public static final String INVOCATION_NAME

See Also:
  Constant Field Values

### INBOUND_NAME

    public static final String INBOUND_NAME

See Also:
  Constant Field Values

### OUTBOUND_NAME

    public static final String OUTBOUND_NAME

See Also:
  Constant Field Values

### SESSION_NAME

    public static final String SESSION_NAME

See Also:
  Constant Field Values

### APPLICATION_NAME

    public static final String APPLICATION_NAME

See Also:
  Constant Field Values

### INVOCATION

    public static final PropertyScope INVOCATION

  This scope is defined from the point that a Message is created until a service has processed the message. Properties set on endpoints will be found in this scope

### INBOUND

    public static final PropertyScope INBOUND

  This scope holds all inbound headers when a message is received. This scope is read only

### OUTBOUND

    public static final PropertyScope OUTBOUND

  This is the default scope when writing properties to a message. All properties written in this scope will be attached to the outbound message (or response message)

### SESSION

    public static final PropertyScope SESSION

  Defines the scope for any properties set on the session. Mule utilises the underlying transport for controlling the session where possible i.e. HttpSession. But Mule will fallback to an internal session mechanisim where a session is encoded on the message with an expiry time associated with it.

### APPLICATION

    public static final PropertyScope APPLICATION

  This provides access to properties in the registry. By default this scope is not enabled since it will most likely have a performance impact. This is a read-only scope

### ALL_SCOPES

    public static final PropertyScope[] ALL_SCOPES

  An array of all scopes defined here

Constructor Detail

### PropertyScope

    public PropertyScope(String scope,
                         int order)

Method Detail

### getScope

    public String getScope()

### getOrder

    public int getOrder()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.